package com.community.pocket.ui.main.ui.forum.my;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.forum.ForumMyRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

//我的帖子UI数据管理
public class ForumMyViewModel extends BaseViewModel<ForumMyRequest> {

    //我的帖子请求状态
    private MutableLiveData<ForumMyResponse> forumMyResponse = new MutableLiveData<>();

    MutableLiveData<ForumMyResponse> getForumMyResponse() {
        return forumMyResponse;
    }

    void loadForumMy() {
        getRequest().loadForumMy(forumMyResponse);
    }

    @Override
    protected ForumMyRequest getRequest() {
        return ForumMyRequest.getInstance();
    }
}
