package com.community.pocket.ui.main.ui.visitor.my;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.visitor.VisitorMyRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

/**
 * 我的访客UI数据管理
 */
public class VisitorMyViewModel extends BaseViewModel<VisitorMyRequest> {

    //我的访客数据请求状态
    private MutableLiveData<VisitorMyResponse> visitorMyResponse = new MutableLiveData<>();

    MutableLiveData<VisitorMyResponse> getVisitorMyResponse() {
        return visitorMyResponse;
    }

    /**
     * 加载我的访客
     */
    void loadMy() {
        getRequest().loadMy(visitorMyResponse);
    }

    @Override
    protected VisitorMyRequest getRequest() {
        return VisitorMyRequest.getInstance();
    }
}
